Debian Bug report logs - #735200
ITP: iprutils -- The iprutils package contains user space tools required by the ipr device driver.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: brenohl <brenohl@br.ibm.com>

Date: Mon, 13 Jan 2014 19:33:01 UTC

Owned by: Breno Leitao <brenohl@br.ibm.com>

Severity: wishlist

Fixed in version iprutils/2.4.0-1

Done: Colin Watson <cjwatson@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>:
Bug#735200; Package wnpp. (Mon, 13 Jan 2014 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to brenohl <brenohl@br.ibm.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>. (Mon, 13 Jan 2014 19:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: brenohl <brenohl@br.ibm.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: iprutils -- The iprutils package contains user space tools required by the ipr device driver.
Date: Thu, 13 Jan 2014 16:43:25 -0200
Package: wnpp
Severity: wishlist
Owner: Breno Leitao <brenohl@br.ibm.com>

* Package name    : iprutils
  Version         : 2.3.15
  Upstream Author : Brian King <brking@us.ibm.com>
* URL             : http://sourceforge.net/projects/iprdd/
* License         : Common Public License Version 1.0
  Programming Lang: C
  Description     : The iprutils package contains user space tools required by the ipr device driver.

iprutils is a set of tools that is used to control some IBM SCSI
controllers[1]. The following tools are part of this package:

iprdump - A user program meant to be run in the background to gather debug
information should an IOA failure occur.  Ideally, this program should be
started during boot time after file systems are loaded when the ipr
SCSI driver is used. An init.d script is provided to do this.

iprupdate - IOA/disk unit microcode update utility
This tool requires no arguments and should be run after each time the device driver
is loaded. It will query each adapter/disk unit for the microcode version and update 
adapters/disk units that are not currently at the minimum supported levels. An init.d
script is provided to run this at boot time.

iprinit - IOA/disk unit initialization utility
This tool requires no arguments and should be run after each time the device driver
is loaded. It will setup all ipr adapters and attached disks to run with optimal
performance and load any adapter, disk, or scsi bus configurations saved by iprconfig.
It enables U320 scsi speeds and enables tagged command queuing.

iprconfig - IOA Configuration and Recovery tool
This is an ncurses based utility used to configure ipr adapters and devices.

[1] - http://publib16.boulder.ibm.com/pseries/en_US/infocenter/base/HW_scsi_adapters.htm




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>:
Bug#735200; Package wnpp. (Tue, 21 Jan 2014 15:03:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <frederic@fr.ibm.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>. (Tue, 21 Jan 2014 15:03:20 GMT) Full text and rfc822 format available.

Message #10 received at 735200@bugs.debian.org (full text, mbox):

From: Fred <frederic@fr.ibm.com>
To: 735200@bugs.debian.org
Subject: packaging proposal
Date: Tue, 21 Jan 2014 16:01:16 +0100
[Message part 1 (text/plain, inline)]
Here is a source set for the iprutils.

Fred
[iprutils_2.3.15-0.1.dsc (text/plain, attachment)]
[iprutils_2.3.15.orig.tar.gz (application/x-gzip, attachment)]
[iprutils_2.3.15-0.1.debian.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>:
Bug#735200; Package wnpp. (Wed, 02 Apr 2014 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>. (Wed, 02 Apr 2014 17:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 735200@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Fred <frederic@fr.ibm.com>, 735200@bugs.debian.org
Cc: Breno Leitao <brenohl@br.ibm.com>, Adam Conrad <adconrad@debian.org>
Subject: Re: Bug#735200: packaging proposal
Date: Wed, 2 Apr 2014 18:47:39 +0100
On Tue, Jan 21, 2014 at 04:01:16PM +0100, Fred wrote:
> Here is a source set for the iprutils.

Hi,

Some time ago I put together iprutils packaging locally, although I
never uploaded it in the end.  Adam Conrad asked me to look at this and
reconcile my packaging with what's here.  I've made a number of
improvements, including:

 * Remove mostly-unused libpci dependency, which is arguably a GPL
   violation.
 * Add a udeb, since my understanding of this code is that it may well
   be useful during installation.
 * Machine-readable (DEP-5) and policy-compliant (include entire text of
   CPL directly rather than in a separate file) copyright file.
 * Use patched versions of upstream initialisation scripts rather than
   maintaining entirely separate copies.
 * Packaging in git-dpm with full upstream git history, for better
   transparency and easier ongoing maintenance (I don't believe in
   having packages not in good version control :-) ).  Vcs-* fields
   point to packaging rather than to upstream, per policy.

I don't want to hijack your ITP without your consent, and I'm not that
fussed about whose name ends up in the Maintainer field (although it
doesn't look like it'd be much ongoing effort to maintain, and since I'm
already a Debian developer I'd be quite happy to take care of it).  I do
think the above improvements are worthwhile, though.

I've put my packaging in collab-maint so that we can collaborate on it
easily - I think you just need to request access to the collab-maint
project on alioth.

  Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
  Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git

Would you be OK with me going ahead and uploading this?

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>:
Bug#735200; Package wnpp. (Thu, 03 Apr 2014 09:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederic Bonnard <frediz@linux.vnet.ibm.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>. (Thu, 03 Apr 2014 09:09:09 GMT) Full text and rfc822 format available.

Message #20 received at 735200@bugs.debian.org (full text, mbox):

From: Frederic Bonnard <frediz@linux.vnet.ibm.com>
To: Colin Watson <cjwatson@debian.org>, 735200@bugs.debian.org
Cc: Breno Leitao <brenohl@br.ibm.com>, Adam Conrad <adconrad@debian.org>
Subject: Re: Bug#735200: packaging proposal
Date: Thu, 03 Apr 2014 11:06:15 +0200
Hi Colin,

sure, let's upload this :)
No problem for collab-maint (I created a frediz-guest account,), a good way for me
to contribute and learn.
My first draft looks now a bit rough compared to yours with the above improvements :)
Thanks!
F.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>:
Bug#735200; Package wnpp. (Thu, 03 Apr 2014 11:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Breno Leitao <brenohl@br.ibm.com>. (Thu, 03 Apr 2014 11:24:09 GMT) Full text and rfc822 format available.

Message #25 received at 735200@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Cc: 735200@bugs.debian.org, Breno Leitao <brenohl@br.ibm.com>, Adam Conrad <adconrad@debian.org>
Subject: Re: Bug#735200: packaging proposal
Date: Thu, 3 Apr 2014 12:22:08 +0100
On Thu, Apr 03, 2014 at 11:06:15AM +0200, Frederic Bonnard wrote:
> sure, let's upload this :)
> No problem for collab-maint (I created a frediz-guest account,), a good way for me
> to contribute and learn.
> My first draft looks now a bit rough compared to yours with the above improvements :)
> Thanks!

Great, thanks.  I've uploaded this to NEW.

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735200; Package wnpp. (Thu, 03 Apr 2014 13:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Breno Leitao <brenohl@br.ibm.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Apr 2014 13:21:09 GMT) Full text and rfc822 format available.

Message #30 received at 735200@bugs.debian.org (full text, mbox):

From: Breno Leitao <brenohl@br.ibm.com>
To: Colin Watson <cjwatson@debian.org>, 735200@bugs.debian.org
Subject: Re: Bug#735200: packaging proposal
Date: Thu, 03 Apr 2014 10:19:31 -0300
On 04/03/2014 08:22 AM, Colin Watson wrote:
> On Thu, Apr 03, 2014 at 11:06:15AM +0200, Frederic Bonnard wrote:
>> sure, let's upload this :)
>> No problem for collab-maint (I created a frediz-guest account,), a good way for me
>> to contribute and learn.
>> My first draft looks now a bit rough compared to yours with the above improvements :)
>> Thanks!
> 
> Great, thanks.  I've uploaded this to NEW.
Thanks Colin!




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Mon, 07 Apr 2014 11:03:10 GMT) Full text and rfc822 format available.

Notification sent to brenohl <brenohl@br.ibm.com>:
Bug acknowledged by developer. (Mon, 07 Apr 2014 11:03:10 GMT) Full text and rfc822 format available.

Message #35 received at 735200-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 735200-close@bugs.debian.org
Subject: Bug#735200: fixed in iprutils 2.4.0-1
Date: Mon, 07 Apr 2014 11:00:07 +0000
Source: iprutils
Source-Version: 2.4.0-1

We believe that the bug you reported is fixed in the latest version of
iprutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 735200@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated iprutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 03 Apr 2014 11:36:08 +0100
Source: iprutils
Binary: iprutils iprutils-udeb
Architecture: source powerpc
Version: 2.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Colin Watson <cjwatson@debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Closes: 735200
Description: 
 iprutils   - userspace support for IBM Power Linux RAID SCSI driver
 iprutils-udeb - userspace support for IBM Power Linux RAID SCSI driver (udeb)
Changes: 
 iprutils (2.4.0-1) unstable; urgency=low
 .
   * Initial release (closes: #735200).  Based partially on packaging by
     Frederic Bonnard.
Checksums-Sha1: 
 fb083229f1791e00a3285aafbc7bbb1d90c81398 2034 iprutils_2.4.0-1.dsc
 d75c40eae0724c4800393b42d2890472882680a8 1380107 iprutils_2.4.0.orig.tar.gz
 76a26cdb9f9e701ab718527a88b80f37e4369922 9428 iprutils_2.4.0-1.debian.tar.xz
 4f739439e486e70ac72a5323519b364d26d10969 149432 iprutils_2.4.0-1_powerpc.deb
 8ffc3a99b499f3c7badb17435c104247ae9bade7 55272 iprutils-udeb_2.4.0-1_powerpc.udeb
Checksums-Sha256: 
 314b911a696758eb065af1166912b830cddeee3d33dc9f8b5a918ce510a8bd15 2034 iprutils_2.4.0-1.dsc
 5c6ef9469a112c28e19875f8cf4556082b23af3b9a79685da20d8eb4784ded24 1380107 iprutils_2.4.0.orig.tar.gz
 1bd99d2f16a8e404a2b39ea285eea1d55a663f3976268526ec63df4e325c8bde 9428 iprutils_2.4.0-1.debian.tar.xz
 35e060b4b94870e6e9a2d5ae0d4dc6bf94dabb8e98b70402de333e60ce8d7de9 149432 iprutils_2.4.0-1_powerpc.deb
 e5dc03c7a0831a20a9550880f26bc1297ac33e38591e9bcbac73e5152434c1e1 55272 iprutils-udeb_2.4.0-1_powerpc.udeb
Files: 
 c23ba4de3ca3725fbb8b66f00a66530c 2034 admin extra iprutils_2.4.0-1.dsc
 41b9bf8ee1e669a8dd284816971e00a2 1380107 admin extra iprutils_2.4.0.orig.tar.gz
 91342b6c3ecd927073d2ba0ae40d45c8 9428 admin extra iprutils_2.4.0-1.debian.tar.xz
 c920b860f6ac5514a3867a3ef739e5eb 149432 admin extra iprutils_2.4.0-1_powerpc.deb
 fb2a4d2383acceb15af5ee6c208055c7 55272 debian-installer extra iprutils-udeb_2.4.0-1_powerpc.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUz09Fzk1h9l9hlALAQh/FA//ZMmpYjkUquzdyLSVXZYfUxfe+EkcEh+T
FYwuTUGdfBTsRaVquq2qMwyrJJf/WhVNFIQH9zNjRHR4pA8+eKNgHKv/4iMLCsi4
D7GoGyG6hW5Z2IGPPYwgCi5XCRs4awVZvMZmilho+avYQn6JfJP4IuBdbUKbS0ZT
oU8oCVSV1IN1THBNvyt27DjRd9FEF6jZk+rtAhP2om47YdEtEz/ROdfTVOdmEoS4
MCCP4/9qWIenX+1rRt44eJhOjE8/bGXzh1PqHy2ZircRlJH/VEyArWZTmMdzdQx6
T74OVrGk1f3bb0pJxoRIxB9JmFw2h3dlR3sC4oXFghbc+EE9TQlKlkR2TLCPj0Zx
Xx0SGDI+5Fz1eLxn2ATVvGnTth2uKXpUxsKqzILKsVBin8hztd2TPZhU2S+gCLVz
tkzKmEZvXUJZbWioBuZHRwft1HFD7jp6Y1voShdQTDNmCzxRCuK3S9jEUgKeyPXU
1VEW5SwqCcSYdrUFLm6Q77Cilxwpqq949uA97P0R+fnsC/IITOOGNSrMVueAVxwe
oXAebg/PYWtiPXpJToUztMXolMwwPPHlvkGKP2eK/kjYX52uC08wo047l0+W3Fxk
DuP1mNh9BmZu3FwHaN0UG/IyZP2yGLecDBf+TeWrghAcvHs1/6dQqO1LpDy9nlS+
1uN2PthHVXU=
=JYe0
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:23:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.